com.h3c.of.lib.msg

## Class OfmPacketOut

- java.lang.Object
- - com.h3c.nbio.AbstractMessage
  - - com.h3c.of.lib.msg.OpenflowMessage
    - - com.h3c.of.lib.msg.OfmPacketOut

- All Implemented Interfaces:
    Message, Structure
  Direct Known Subclasses:
    OfmMutablePacketOut

      public class OfmPacketOut
      extends OpenflowMessage

  Represents an OpenFlow PACKET_OUT message; Since 1.0.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.h3c.of.lib.msg.OpenflowMessage

      `OpenflowMessage.Header`

  - ### Field Summary

    - ### Fields inherited from class com.h3c.nbio.AbstractMessage

      `length`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Action>` | `getActions()` Returns the action list defining how the packet should be processed by the switch; Since 1.0.
    `BufferId` | `getBufferId()` Returns the buffer ID assigned by datapath (BufferId.NO_BUFFER if none); since 1.0.
    `byte[]` | `getData()` Returns a copy of the packet data; Since 1.0.
    `int` | `getDataLength()` Returns the number of bytes of packet data.
    `BigPortNumber` | `getInPort()` Returns the packet's input port or Port.CONTROLLER; Since 1.0.
    `String` | `toDebugString()` Returns a string representation useful for debugging.
    `String` | `toDebugString(int indent)` Returns a multi-line string representation of this packet out message.
    `String` | `toString()`
    `void` | `validate()` Validates this message for completeness and throws an exception if the message is considered "not complete".

    - ### Methods inherited from class com.h3c.of.lib.msg.OpenflowMessage

      `decodeHeader, getType, getVersion, getXid, hex, hex, length`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `OpenflowMessage`

    - #### toDebugString

          public String toDebugString(int indent)

      Returns a multi-line string representation of this packet out message.
      Parameters:
        `indent` - the additional indent
      Returns:
        a multi-line string representation

    - #### toDebugString

          public String toDebugString()

      Description copied from class: `OpenflowMessage`
      Returns a string representation useful for debugging. This default implementation delegates to `OpenflowMessage.toString()`, but subclasses are free to override this behavior.
      Specified by:
        `toDebugString` in interface `Structure`
      Overrides:
        `toDebugString` in class `OpenflowMessage`
      Returns:
        a (possibly multi-line) string representation of this message

    - #### validate

          public void validate()
                        throws IncompleteMessageException

      Description copied from class: `OpenflowMessage`
      Validates this message for completeness and throws an exception if the message is considered "not complete".

      This default implementation does nothing, i.e. default behavior is that messages are considered complete.

      Subclasses should override this method to check that mandatory fields or other internal state is present, throwing an exception if it is not.

      Overrides:
        `validate` in class `OpenflowMessage`
      Throws:
        `IncompleteMessageException` - if the message is not complete

    - #### getBufferId

          public BufferId getBufferId()

      Returns the buffer ID assigned by datapath (BufferId.NO_BUFFER if none); since 1.0.
      Returns:
        the buffer ID

    - #### getInPort

          public BigPortNumber getInPort()

      Returns the packet's input port or Port.CONTROLLER; Since 1.0.
      Returns:
        the input port

    - #### getActions

          public List<Action> getActions()

      Returns the action list defining how the packet should be processed by the switch; Since 1.0.
      Returns:
        the actions

    - #### getData

          public byte[] getData()

      Returns a copy of the packet data; Since 1.0.
      Returns:
        a copy of the packet data

    - #### getDataLength

          public int getDataLength()

      Returns the number of bytes of packet data.
      Returns:
        the number of bytes of packet data

Copyright © 2014. All Rights Reserved.